it

Differences between revisions 21 and 22
Revision 21 as of 2008-10-26 15:57:17
Size: 8175
Editor: mail
Comment: typos
Revision 22 as of 2008-10-26 16:08:46
Size: 8173
Editor: mail
Comment:
Deletions are marked like this. Additions are marked like this.
Line 32: Line 32:
Gli utenti di '''Ubuntu 8.04''' posso eseguire l'avanzamento a '''Ubuntu 8.10''' tramite un semplice processo automatico. Gli utenti di rilasci più vecchi dovranno prima effettuare l'avanzamento a '''Ubuntu 8.04 LTS''' e solo successivamente alla 8.10. Istruzioni complete possono essere trovate [[http://wiki.ubuntu-it.org/Installazione/AggiornamentoIntrepid|presso questa pagina]] Gli utenti di '''Ubuntu 8.04 LTS''' posso eseguire l'avanzamento a '''Ubuntu 8.10''' tramite un semplice processo automatico. Gli utenti di rilasci più vecchi dovranno prima effettuare l'avanzamento a '''Ubuntu 8.04 LTS''' e solo successivamente alla 8.10. Istruzioni complete possono essere trovate [[http://wiki.ubuntu-it.org/Installazione/AggiornamentoIntrepid|presso questa pagina]]
Line 36: Line 36:
Le serie 71 e 96 dei driver proprietari nVidia, forniti dai pacchetti {{{nvidia-glx-legacy}}} e {{{nvidia-glx}}} in '''Ubuntu 8.04''', non sono compatibili con la versione di X.Org inclusa in '''Ubuntu 8.10'''. I possessori di schede video con chipset nVidia TNT, TNT2, TNT Ultra, Ge``Force, Ge``Force2, Ge``Force3, e Ge``Force4 subiranno gli effetti di tale incompatibilità e durante l'avanzamento verrà eseguita la transizione al driver libero ''nv''. Tale driver però non supporta l'accelerazione 3D. Le serie 71 e 96 dei driver proprietari nVidia, forniti dai pacchetti {{{nvidia-glx-legacy}}} e {{{nvidia-glx}}} in '''Ubuntu 8.04 LTS''', non sono compatibili con la versione di X.Org inclusa in '''Ubuntu 8.10'''. I possessori di schede video con chipset nVidia TNT, TNT2, TNT Ultra, Ge``Force, Ge``Force2, Ge``Force3, e Ge``Force4 subiranno gli effetti di tale incompatibilità e durante l'avanzamento verrà eseguita la transizione al driver libero ''nv''. Tale driver però non supporta l'accelerazione 3D.
Line 43: Line 43:
Nel file di configurazione di X.Org ({{{/etc/X11/xorg.conf}}}) sono ancora presenti campi Input``Device per il mouse e la tastiera; tali campi sono però ignorati poiché ora viene utilizzato ''input-hotplug''. Nel file di configurazione di X.Org (`/etc/X11/xorg.conf`) sono ancora presenti campi Input``Device per il mouse e la tastiera; tali campi sono però ignorati poiché ora viene utilizzato ''input-hotplug''.
Line 45: Line 45:
Le impostazioni della tastiera sono ora salvate nel file {{{/etc/default/console-setup}}}; per cambiarle usare il comando: Le impostazioni della tastiera sono ora salvate nel file `/etc/default/console-setup`; per cambiarle usare il comando:
Line 53: Line 53:
I keycode X generati con il nuovo driver di input {{{evdev}}} di X.Org 1.5 non sono compatibili con quelli generati in '''Ubuntu 8.04 LTS''' e precedenti. Se sono state configurate delle associazioni di tasti tramite un file {{{~/.Xmodmap}}}, è necessario convertirle o disabilitarle durante l'avanzamento. I keycode X generati con il nuovo driver di input {{{evdev}}} di X.Org 1.5 non sono compatibili con quelli generati in '''Ubuntu 8.04 LTS''' e precedenti. Se sono state configurate delle associazioni di tasti tramite un file `~/.Xmodmap`, è necessario convertirle o disabilitarle durante l'avanzamento.
Line 65: Line 65:
== Timestamp TCP == == Timestamps TCP ==
Line 79: Line 79:
Per ulteriori informazioni, consultare il [[https://launchpad.net/bugs/264019|bug #264019]] su Launchpad. Un rigraziamento a [[http://wiki.mandriva.com/en/2009.0_Errata#TCP_timestamps|Mandriva]] per la chiara documentazione su questo problema. Per ulteriori informazioni, consultare il [[https://launchpad.net/bugs/264019|bug #264019]] su Launchpad. Un ringraziamento a [[http://wiki.mandriva.com/en/2009.0_Errata#TCP_timestamps|Mandriva]] per la chiara documentazione su questo problema.

Queste note di rilascio illustrano i problemi noti con Ubuntu 8.10 «Intrepid Ibex» e le altre varianti.

Requisiti di sistema

La quantità minima di memoria richiesta per Ubuntu 8.10 «Intrepid Ibex» è 256 MiB (notare che parte della memoria del sistema potrebbe essere non disponibile se utilizzata dalla scheda video).

Se è disponibile solo la quantità minima di memoria richiesta, sarà necessario più tempo del normale per il processo di installazione; l'installazione comunque potrà essere ugualmente completata e, una volta installato, il sistema potrà essere eseguito in modo adeguato. Sistemi con poca memoria possono utilizzare il CD desktop per l'installazione selezionando dal menù di avvio la voce "Installa Ubuntu", in modo da eseguire solo il programma di installazione, invece che mandare in esecuzione l'intero ambiente grafico selezionando la voce "Prova Ubuntu senza modificare il computer".

Installazione

Pacchetti "recommended" installati in modo predefinito

In accordo con il "Debian Policy Manual" (che enuncia "il campo 'Recommends' dovrebbe elencare i pacchetti che dovrebbero essere presenti nel computer assieme al pacchetto corrente in tutte le installazioni tranne quelle non usuali"), il sistema di gestione dei pacchetti ora installa in modo predefinito i pacchetti elencati nel campo Recommends: così come avviene per i pacchetti nell'elenco Depends:.

Per evitare questo comportamento per un singolo pacchetto, usare il comando:

apt-get --no-install-recommends nome_pacchetto

Per evitare questo comportamento per tutti i pacchetti in modo permanente, inserire la riga:

APT::Install-Recommends

nel il file /etc/apt/apt.conf.

Notare che ciò potrebbe avere come conseguenza l'assenza di funzionalità in alcuni pacchetti.

Avanzamento di versione

Gli utenti di Ubuntu 8.04 LTS posso eseguire l'avanzamento a Ubuntu 8.10 tramite un semplice processo automatico. Gli utenti di rilasci più vecchi dovranno prima effettuare l'avanzamento a Ubuntu 8.04 LTS e solo successivamente alla 8.10. Istruzioni complete possono essere trovate presso questa pagina

Supporto video nVidia "legacy"

Le serie 71 e 96 dei driver proprietari nVidia, forniti dai pacchetti nvidia-glx-legacy e nvidia-glx in Ubuntu 8.04 LTS, non sono compatibili con la versione di X.Org inclusa in Ubuntu 8.10. I possessori di schede video con chipset nVidia TNT, TNT2, TNT Ultra, GeForce, GeForce2, GeForce3, e GeForce4 subiranno gli effetti di tale incompatibilità e durante l'avanzamento verrà eseguita la transizione al driver libero nv. Tale driver però non supporta l'accelerazione 3D.

Per possessori di schede video con altri chipset nVidia che sono supportati dalle serie 173 e 177 del driver verrà eseguita la transizione ai pacchetti nvidia-glx-173 o nvidia-glx-177. Però, a differenza dei driver 96 e 71, i driver 173 e 177 sono compatibili solo con processori che supportano le istruzioni SSE (per esempio Intel Pentium III, AMD Athlon XP o superiori). Per sistemi con processori più vecchi verrà eseguita durante l'avanzamento la transizione al driver nv.

Device di input in X.Org

Nel file di configurazione di X.Org (/etc/X11/xorg.conf) sono ancora presenti campi InputDevice per il mouse e la tastiera; tali campi sono però ignorati poiché ora viene utilizzato input-hotplug.

Le impostazioni della tastiera sono ora salvate nel file /etc/default/console-setup; per cambiarle usare il comando:

sudo dpkg-reconfigure console-setup

Dopo un cambiamento di tali impostazioni è necessario riavviare i demoni HAL e X.

Incompatibilità evdev xmodmap di X.Org

I keycode X generati con il nuovo driver di input evdev di X.Org 1.5 non sono compatibili con quelli generati in Ubuntu 8.04 LTS e precedenti. Se sono state configurate delle associazioni di tasti tramite un file ~/.Xmodmap, è necessario convertirle o disabilitarle durante l'avanzamento.

Supporto kernel real-time per UbuntuStudio

Non sono disponibili varianti real-time per il kernel Linux 2.6.27 incluso in Ubuntu 8.10. Gli utenti di UbuntuStudio 8.04 che necessitano di un kernel con supporto real-time sono invitati a non eseguire l'avanzamento a UbuntuStudio 8.10.

Altri problemi noti

Blocchi del sistema con chip wireless Intel 4965

La versione del driver wireless iwlang per il chipset Intel 4965 incluso nel kernel Linux versione 2.6.27 causa una serie di kernel panic quando usato con reti di tipo 802.11n. Gli utenti affetti da questo problema possono installare il pacchetto linux-backports-modules-intrepid: il pacchetto fornisce una versione più recente del driver che corregge il bug (poiché la correzione nota richiede una nuova versione del driver, non è possibile includere tale correzione nel pacchetto principale del kernel).

Timestamps TCP

La versione del kernel Linux 2.6.27 imposta l'opzione timestamps nei pacchetti TCP (RFC 1323); questa è un'opzione nata nel 1992 per migliorare le prestazioni su percorsi high-bandwidth-times-latency e per migliorare l'attendibilità su percorsi high-bandwidth, precedentemente omessa per errore.

Tuttavia questo cambiamento sembra causare problemi ad alcuni utenti, si suppone a causa di router difettosi tra l'utente e il server di destinazione (per esempio, questo problema è stato segnalato da molti utenti di Verizon DSL). Se la propria connessione Internet sembra funzionare correttamente, ma si hanno problemi di connessione solo con determinati siti, provare il seguente comando:

sudo sysctl -w net.ipv4.tcp_timestamps=0

Questo cambiamento scade al successivo riavvio del sistema. Se ciò risolve il problema, è possibile rendere il cambiamento permanente eseguendo sudo editor /etc/sysctl.conf e aggiungendo alla fine del file la seguente riga:

net.ipv4.tcp_timestamps = 0

Il vero bug è però da ricercare nel proprio router (qualora se ne possieda uno) o nei router del proprio ISP. Se è disponibile un aggiornamento del firmware per il proprio router, seguire le istruzioni del proprio fornitore per aggiornarlo. Altrimenti contattare il supporto del fornitore del router o il proprio ISP per ulteriori consigli. Nel frattempo, il gruppo di sviluppo del kernel Linux sta studiando una soluzione che servirà a ripristinare l'interoperabilità con tali router permettendo al tempo stesso di abilitare il timestamps per TCP; sarà valutato se inserire questa soluzione in un aggiornamento dopo il rilascio della versione 8.10.

Per ulteriori informazioni, consultare il bug #264019 su Launchpad. Un ringraziamento a Mandriva per la chiara documentazione su questo problema.

Ordine di avvio iSCSI

I file system ospitati su dispositivi iSCSI potrebbero non venir montati automaticamente all'avvio del sistema, anche se per essi è presente una voce in /etc/fstab, nel caso in cui è richiesta un'interfaccia Ethernet "bridged" o "bonded" per raggiungere il dispositivo iSCSI. Per aggirare il problema, è necessario riavviare il servizio open-scsi e montare manualmente il file system in questione dopo l'avvio, una volta che l'interfaccia di rete richiesta è ormai attiva.

I sistemi dotati di una normale interfaccia Ethernet non sono affetti da questo problema.

Per maggiori informazioni, consultare il bug #227848.

Riferimenti

IntrepidReleaseNotes/it (last edited 2008-11-23 11:29:48 by mail)